<?php

// Note that quotes within the strings need to be escaped.

// --------------------

define('_HE_CHESS_MAIN_TITLE', 'Chess Help');

// --------------------

define('_HE_CHESS_INTRO_TITLE', 'Introduzione');

define('_HE_CHESS_INTRO_010', '
Questo software  strettamente collegato a <a href="http://fide.com/official/handbook.asp?level=EE1">Laws of Chess</a>
come regolamentato dalla F&eacute;d&eacute;ration Internationale des &Eacute;checs (International Chess Federation),
comunemente conosciuta come FIDE.
');

// --------------------

define('_HE_CHESS_CREATE_TITLE', 'Creare una nuova partita');

define('_HE_CHESS_CREATE_010', '
Ci sono tre tipi di partite che puoi creare:
');
define('_HE_CHESS_CREATE_010_1', 'Sfida aperta');
define('_HE_CHESS_CREATE_010_2', 'Sfida individuale');
define('_HE_CHESS_CREATE_010_3', 'Self-play');

define('_HE_CHESS_CREATE_020', '
Una <em>sfida aperta</em> pu essere accettata da chiunque.
Una <em>sfida individuale</em> pu essere accettata solo da uno specifico iscritto.
Una <em>self-play</em> pu essere creata per prendere confidenza con questo software.
');

define('_HE_CHESS_CREATE_030', '
	Si pu opzionalmente impostare una posizione iniziale usando le Forsyth-Edwards Notation (FEN).
');

define('_HE_CHESS_CREATE_040', '
Puoi specificare che il tuo opponente scelga il colore,
che il colore venga assegnato casualmente,
o puoi scegliere il colore che pi ti aggrada.
');

define('_HE_CHESS_CREATE_050', '
Una sfida inizia non appena l\'opponente accetta.
Una self-play pu essere creata immediatamente.
');

define('_HE_CHESS_CREATE_060', '
Uno sfidante pu cancellare la sua sfida in ogni momento prima che la stessa venga accettata.
');

// --------------------

define('_HE_CHESS_PLAY_TITLE', 'Giocare una partita');

define('_HE_CHESS_PLAY_010', '
Un giocatore pu scegliere tra le seguenti azioni.
Non tutte queste azioni sono disponibili contemporaneamente.
');
define('_HE_CHESS_PLAY_010_1', 'Mossa normale');
define('_HE_CHESS_PLAY_010_2', 'Dichiarazione di patta');
define('_HE_CHESS_PLAY_010_3', 'Offerta di patta');
define('_HE_CHESS_PLAY_010_4', 'Accettazione patta');
define('_HE_CHESS_PLAY_010_5', 'Rifiuto di patta');
define('_HE_CHESS_PLAY_010_6', 'Abbandono');
define('_HE_CHESS_PLAY_010_7', 'Reinizio della partita');
define('_HE_CHESS_PLAY_010_8', 'Cancellare la partita');
define('_HE_CHESS_PLAY_010_9', 'Richiesta di arbitraggio');

define('_HE_CHESS_PLAY_020', '
Puoi effettuare una <em>mossa normale</em> solo durante il tuo turno di gioco.
La mossa  discussa in dettaglio <a href="#moving">sotto</a>.
');

define('_HE_CHESS_PLAY_030', '
Puoi <em>dichiarare una patta</em> se le condizioni soddisfano la regola delle 50 mosse o della tripla ripetizione,
ed  il tuo turno di gioco.
Puoi opzionalmente inserire una mossa (legale) che permetta il soddisfacimento delle condizioni.
Nota che questa mossa <em>sar definitiva</em>.
Se la tua dichiarazione risulter corretta la partita sar immediatamente sospesa.
');

define('_HE_CHESS_PLAY_040', '
Puoi <em>offrire una patta</em> sia durante il tuo turno sia durante quello dell\'avversario.
Non puoi ritirare l\'offerta.
Il tuo opponente pu sia <em>accettare</em> che <em>rifiutare</em>.
Se  il turnmo del tuo avversario pu rifiutare l\'offerta facendo una mossa normale.
Se accetta l\'offerta, la partita si conclude con uan patta.
Nota che se offri la patta durante il turno del tuo avversario,
egli potrebbe non avvedersene se sta preparando la sua mossa, in quanto non ha opportunit di refresh durante questo tempo.
Non puoi offire una patta in una self-play.
');

define('_HE_CHESS_PLAY_050', '
Puoi <em>abbandonare</em> in qualsiasi momento.
La partita sar conclusa e la vittoria andr al tuo avversario.
');

define('_HE_CHESS_PLAY_060', '
In una self-play, puoi <em>reiniziare</em> la partita in ogni momento.
');

define('_HE_CHESS_PLAY_070', '
Puoi <em>cancellare</em> la partita in ogni momento.
Questo canceller per sempre la partita dal database.
');

define('_HE_CHESS_PLAY_075', '
In una self-play, puoi <em>cancellare</em> la partita in ogni momento.
Questo canceller per sempre la partita dal database.
');

define('_HE_CHESS_PLAY_080', '
Puoi <em>richiedere l\'arbitraggio</em> in ogni momento.
Questo far sopsendere immediatamente la partita per dare modo di verificare la richiesta.
Questa azione pu essere usata in occasioni problematiche, incluso eventuali bug del software.
Sei pregato di fornire una spiegazione alla richiesta.
Se  necessaria una lunga spiegazione per favore indicatelo con frasi tipo "cantattatemi per dettagli".
');

define('_HE_CHESS_PLAY_090', '
Se il tuo browser supporta Javascript, si avvier un popup per <em>confermare</em> la tua mossa o altre azioni.
Volendo puoi disabilitare l\'opzione togliendo la spunta al checkbox Conferma.
(Ma ricorda che come nel gioco reale una mossa fatta non si ritira.)
Le preferenze vanno indicate in tutte le partite che stai svolgendo.
');

// --------------------

define('_HE_CHESS_ARBITRATION_TITLE', 'Suspended games and arbitration');

define('_HE_CHESS_ARBITRATION_010', '
Durante la sospensione della partita , nessuna azione pu essere intrapresa.
Un arbitro analizzer la partita e prender le decisioni in accordo con le regole del gioco cos come dichiarate in Laws of Chess.
Se necessario potr consultare i giocatori o ijnviare avvisi a chiunque prima di prendere decisioni.
L\'arbitro pu intraprendere le seguenti azioni:
');

define('_HE_CHESS_ARBITRATION_010_1', 'Riprendere la partita normalmente');
define('_HE_CHESS_ARBITRATION_010_2', 'Dichiarare la patta');
define('_HE_CHESS_ARBITRATION_010_3', 'Cancellare la partita');

define('_HE_CHESS_ARBITRATION_020', '
Quando necessario l\'arbitro pu sospendere la partita anche durante il normale svolgimento.
');

// --------------------

define('_HE_CHESS_DISPLAY_TITLE', 'Orientamento della scacchiera e aggiorna');

define('_HE_CHESS_DISPLAY_010', '
Ci sono tre possibilit di orientamento della scacchiera:
');

define('_HE_CHESS_DISPLAY_010_1', 'Colore attivo in basso');
define('_HE_CHESS_DISPLAY_010_2', 'Bianco in basso');
define('_HE_CHESS_DISPLAY_010_3', 'Nero in basso');

define('_HE_CHESS_DISPLAY_020', '
Quando vedi una partita in cui stai giocando, il colore che ti appartiene viene visualizzato in basso per default.
Diversamente il bianco  in basso per default.
');

define('_HE_CHESS_DISPLAY_030', '
Se cambi la visualizzazione della scacchiera, click <em>Aggiorna</em> per attivare le modifiche.
Ogni volta che accederia alla partita, l\'orientamento della scacchiera assumer il valore di default.
');

define('_HE_CHESS_DISPLAY_040', '
Nota che se il tuo avversario effettua una mossa mentre tu stai guardando la scacchiera, esssa non verr automaticamente aggiornata.
Dovrai usare il bottone Aggiorna per aggiornare la scacchiera e vedere la sua mossa.
');

// --------------------

define('_HE_CHESS_NOTIFY_TITLE', 'Motifiche e commenti.');

define('_HE_CHESS_NOTIFY_010', '
Puoi sottoscrivere una qualsiasi delle <em>Opzioni di Notifica</em> relative al gioco,
ad esempio un anotifica quando viene effettuata una nuova mossa oppure una notifica quando una nuova sfida  creata.
');

define('_HE_CHESS_NOTIFY_020', '
<em>Commenti</em> possono essere imviati per ogni partita.
');

// --------------------

define('_HE_CHESS_MOUSE_TITLE', 'Muovere (usando il mouse)');

define('_HE_CHESS_MOUSE_010', '
Le mosse possono essere effettuate sia usando il mouse (raccomandato), o scrivendo la notazione della mossa nell\'apposito box.
');

define('_HE_CHESS_MOUSE_020', '
Usando il mouse click sul pezzo da muovere, quindo click sulla casella di destinazione.
(Per arroccare, click sul re e sulla sua casell di destinazione.)
Ogni casella clicckata sar evidenziata.
Se un pedone  spinto sino all\'ottava traversa, una finestra di dialogo ti permetter di scegliere il pezzo che intendi promuovere.
La notazione della mossa verr inserita in automatico nell\'apposito box.
Alla fine premi Invia.
');

define('_HE_CHESS_MOUSE_030', '
Per muovere col mouse devi avere abilitati i Javascript.
');

// --------------------

define('_HE_CHESS_NOTATION_TITLE', 'Muovere (Usando la notazione)');

define('_HE_CHESS_NOTATION_010', '
Come alternativa all\'uso del mouse, puoi inserire le mosse digitando la notazione nel box di testo relativo.
');

define('_HE_CHESS_NOTATION_020', '
La notazione per la mossa si divide in 4 parti (una quinta opzionale per la promozione del pedone):
');
define('_HE_CHESS_NOTATION_020_1',   'Pezzo');
define('_HE_CHESS_NOTATION_020_1_A',   'K (Re)');
define('_HE_CHESS_NOTATION_020_1_B',   'Q (Regina)');
define('_HE_CHESS_NOTATION_020_1_C',   'R (Torre)');
define('_HE_CHESS_NOTATION_020_1_D',   'B (Alfiere)');
define('_HE_CHESS_NOTATION_020_1_E',   'N (Cavallo)');
define('_HE_CHESS_NOTATION_020_1_F',   'P (Pedone)');
define('_HE_CHESS_NOTATION_020_2',   'Casella iniziale');
define('_HE_CHESS_NOTATION_020_2_A',   'Esempio: e4, f2, h8');
define('_HE_CHESS_NOTATION_020_3',   'Azione');
define('_HE_CHESS_NOTATION_020_3_A',   '- (mossa)');
define('_HE_CHESS_NOTATION_020_3_B',   'x (cattura)');
define('_HE_CHESS_NOTATION_020_4',   'Casella di destinazione');
define('_HE_CHESS_NOTATION_020_4_A',   'Esempio: a8, c6, g5');
define('_HE_CHESS_NOTATION_020_5',   'Promozione del pedone (quando applicabile)');
define('_HE_CHESS_NOTATION_020_5_A',   'Possibili valori: =Q, =R, =B, =N');

define('_HE_CHESS_NOTATION_030', '
Esempi di mosse complete:
');
define('_HE_CHESS_NOTATION_030_1', 'Pe2-e4  (Il pedone muove da e2 a e4)');
define('_HE_CHESS_NOTATION_030_2', 'Pf4xe5  (Il pedone in f4 cattura in e5)');
define('_HE_CHESS_NOTATION_030_3', 'Nf3xe5  (Il cavallo in f3 cattura in e5)');
define('_HE_CHESS_NOTATION_030_4', 'Qd8-h4  (La regina muove da d8 a h4)');
define('_HE_CHESS_NOTATION_030_5', 'Ke1-g1  (Arrocco corto)');
define('_HE_CHESS_NOTATION_030_6', 'Ke8-c8  (arrocco lungo del nero)');
define('_HE_CHESS_NOTATION_030_7', 'Pe7-e8=Q  (il pedone muove da e7 a e8 ed  promosso a regina)');

define('_HE_CHESS_NOTATION_040', '
Al posto della notazione di cui sopra, puoi usare la Standard Algebraic Notation (SAN). Esempi:
');
define('_HE_CHESS_NOTATION_040_1', 'e4  (il pedone muove in e4)');
define('_HE_CHESS_NOTATION_040_2', 'fxe5  (il pezzo in f cattura il pezzo in e5)');
define('_HE_CHESS_NOTATION_040_3', 'Nxe5  (il cavallo cattura il pezzo in e5)');
define('_HE_CHESS_NOTATION_040_4', 'Qh4  (la regina muove in h4)');
define('_HE_CHESS_NOTATION_040_5', 'O-O  (arrocco corto)');
define('_HE_CHESS_NOTATION_040_6', 'O-O-O  (arrocco lungo)');
define('_HE_CHESS_NOTATION_040_7', 'e8Q  (il pedone muove in e8 ed  promosso a regina)');

define('_HE_CHESS_NOTATION_050', '
La notazione per l\'arrocco usa la lettera maiuscola "O" (oh), non il numero "0" (zero).
');

define('_HE_CHESS_NOTATION_060', '
SAN  descritta in dettaglio nel sito <a href="#fide">FIDE</a>.
');

define('_HE_CHESS_NOTATION_070', '
<em>L\'identificatore del pezzo deve essere scritto in maiuscolo, e le coordinate in minuscolo.
Solo le mosse valide, non ambigue, saranno accettate.</em>
');

// --------------------

define('_HE_CHESS_EXPORT_TITLE', 'Esportare una partita');

define('_HE_CHESS_EXPORT_010', '
La partita  visualizzata sia in Portable Game Notation (PGN) che in Forsyth-Edwards Notation (FEN).
Queste sono le notazioni pi usate per rappresentare partite di scacchi.
Puoi salvare il PGN o FEN file della partita per i tuoi database esterni o importare la stessa in altri sotware di scacchi.
');

// --------------------

define('_HE_CHESS_MISC_TITLE', 'Miscellanea');

define('_HE_CHESS_MISC_010', '
Lo stallo non  riconosciuto quando un pezzo, oltre che il re,  impossibilitato
a muovere perch cos facendo lascerebbe sotto scacco il re.
IL giocatore in questo caso (vedi diagramma con mossa al nero)  incapacitato a muovere, e la situazione non viene
riconosciuta dal software come stallo.
In questo caso occorre semplcimente richiedere l\'arbitraggio.
COme scritto sopra, l\'esempio  mostra un caso in cui il nero  impossibilitato a muovere, ma il software non riconosce lo stallo.
');
define('_HE_CHESS_MISC_010_IMAGE', 'Esempio di stallo');

define('_HE_CHESS_MISC_020', '
Art. 9.6 della FIDE Laws of Chess stabilisce che:
<em>la partita  patta quando  raggiunta una posizione in cui lo scacco matto non pu avvenire da ogni
possibile serie di mosse legali anche con i giocatori pi inesperti. Tutto ci provoca l\'immediata fine della partita. </em>
Questa regola non viene completamente applicata dal software fino a quando l\'autore non capir 
come implementare il tutto.
Le tre situazioni re contro re, re contro re + alfiere e re contro re + cavallo faranno finire
immediatamente la partita in patta.
Scenari pi complicati non saranno rilevati automaticamente e devono essere evidenziati con una
offerta di patta, dichiarazione di patta (se applicabile) o richiesta di arbitraggio.
');

define('_HE_CHESS_MISC_030', '
Le partite non sono a tempo.
Nessuna delle regole FIDE relative a orologi, limiti di tempo o flags sono qui applicabili.
');

// --------------------

define('_HE_CHESS_ADMIN_TITLE', 'Amministrazione e arbitraggio');

define('_HE_CHESS_ADMIN_010', '
Un <em>arbitro</em>  un utente coi privilegi di amministrazione per il modulo.
');

define('_HE_CHESS_ADMIN_020', '
Dal pannello di controllo di Xoops, un arbitro pu vedere o editare la preferenze del modulo,
e pu arbitrare partite e sfide.
');

define('_HE_CHESS_ADMIN_030', '
Quando un arbitro accede a una sfida dal pannello di controllo, egli ha le opzioni per cancellare quella partita.
');

define('_HE_CHESS_ADMIN_040', '
Quando un arbitro accede ad una partita attiva o sospesa dal pannello di controllo,
pu vedere la pagina di gioco normale, con l\'aggiunta dei <em>controlli arbitrali</em>.
Se la partita  attiva, i controlli permettono all\'arbitro di sopsenderla.
Se la partita  sospesa, i controlli arbitrali permettono all\'arbitro di farla riprendere.
dichiarare una patta o cancellare la stessa.
L\'arbitro pu anche rimuovere i controlli arbitrali, cos che quella scheramta della partita ritorna ad una vista da utilizzatore normale.
I controlli si ripirstineranno non appena si riacceder alla partita tramite pannello di controllo.
');

define('_HE_CHESS_ADMIN_050', '
L\'arbitro pu sottoscrivere la notifica di richiesta di arbitraggio.
');


// --------------------

?>

